/** \file ipc.h inter process communication and shared memory routines */

/** possible values for shm_attach() */
enum shm_attach_mode {ATTACH_RO, ATTACH_RW};

int mutex_new(void);
int mutex_destroy(int id);
void mutex_lock(int id);
void mutex_unlock(int id);
int shm_new(size_t size);
int shm_attach(int id, enum shm_attach_mode mode, void **result);
int shm_detach(void *addr);
int shm_destroy(int id);
